<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://wedima.de
 * @since             1.0.0
 * @package           Wedima_Site
 *
 * @wordpress-plugin
 * Plugin Name:       Wedima_Site
 * Plugin URI:        https://wedima.de
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.0.2
 * Author:            Jitendra Bodmann
 * Author URI:        https://wedima.de
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wedima-site
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'WEDIMA_SITE_VERSION', '1.0.2' );

/**
 * The path to the root directory of this plugin.
 * Used for requires and includes
 */
define('WEDIMA_SITE_ROOT_DIR', plugin_dir_path(__FILE__));
define('WEDIMA_SITE_ROOT_URL', plugin_dir_url(__FILE__));

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wedima-site-activator.php
 */
function activate_wedima_site() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wedima-site-activator.php';
	Wedima_Site_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wedima-site-deactivator.php
 */
function deactivate_wedima_site() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wedima-site-deactivator.php';
	Wedima_Site_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wedima_site' );
register_deactivation_hook( __FILE__, 'deactivate_wedima_site' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wedima-site.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wedima_site() {

	$plugin = new Wedima_Site();
	$plugin->run();

}
run_wedima_site();
